/* -*- Mode: Java; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

// SYNTAX HINTS:  dashes are delimiters.  Use underscores instead.
//  The first character after a period must be alphabetic.

// pref("startup.homepage_override_url","chrome://browser-region/locale/region.properties");
pref("general.startup.browser", true);

// MERC ******************* Dublin PREFS *******************************
// (DP): if browser has never been run, value is true
pref("browser.startup.firsttime", true);

// rendering engine preferences
pref("browser.engine.allow_dynamic_switching",false);
pref("browser.engine.default","Gecko");

// Anonymous mode preferences
pref("privacy.anonMode.enabled",false);

// Window shaping
pref("browser.chrome.windowshaping",true);

//	MERC 404/DNS ERROR PAGE REDIRECTION
pref("browser.redirect404.URL","http://search.netscape.com/ns/search?fromPage=NS8Error404&query=");
pref("browser.redirectDNS.URL","http://search.netscape.com/ns/search?fromPage=NS8ErrorDNS&query=");

pref("browser.contextSearch.URL","http://search.netscape.com/ns/search?fromPage=NS8BrowserHighlight&query=");
pref("browser.sidebarSearch.URL","http://search.netscape.com/ns/search?fromPage=NSSidebarNS8&query=");

pref("browser.help.url","http://browser.netscape.com/ns8/help/default.jsp");

// Brad Lewis - clear history button pref
pref("privacy.displayAnonModeMsg", true);
// (DP) - if true hide the confirm clear histories dialog
pref("clearhistories.button.dialog", false);

// Server-side Programmable UI (SPUI) preferences
pref("spui.supportedURL","http://spui.netscape.com/config/supported-ns.rdf");
pref("spui.newsticker.feed.1","netscape.rdf");
pref("spui.newsticker.feed.2","money.rdf");
pref("spui.newsticker.feed.3","sports.rdf");
pref("spui.newsticker.feed.4","entertainment.rdf");
pref("spui.newsticker.feed.5","music.rdf"); // Should be local
pref("spui.debug", false);
pref("spui.isIdleAble", true);
pref("optout.debug", false);
pref("optout.URL", "http://browser-support.netscape.com/config/optout.rdf");

// Webmail preferences
pref("browser.webmail.services","http://browser-support.netscape.com/config/mail/webmail.rdf");
pref("browser.webmail.mailto",false);
pref("webmail.debug", false);

// JCH: popup blocked sound is disabled by default
pref("privacy.popups.sound_enabled",true);
pref("privacy.popups.show_count",false);
pref("show.popupblockbutton.dialog", true);
pref("popups.messagebar.enable", true);

// JCH: popup block sound
pref("dom.soundfile.chrome_url","chrome://browser/content/popupblock.wav");

// (DP) netscape homepage
pref("browser.netscape.homepage", "chrome://browser-region/locale/region.properties");

// (DP) welcome page
pref("browser.startup.welcomepage", "http://browser.netscape.com/ns8/start8.jsp");

//MERC - Durga
pref("browser.preferences.autolock", "1");
pref("browser.preferences.autolockTime", "");
pref("browser.preferences.autolockTimeUnit", "0");

// (DP) Tab browser preferences
pref("browser.tabs.abouturl", "http://browser.netscape.com/ns8/product/tab.jsp");
pref("browser.tabs.newtabinsteadofwindow", true);
pref("browser.popups.openInTab", true);
pref("browser.tabs.newTabChoice", 'current'); // possible values: 'blank', 'current', 'home', 'netscape'
pref("browser.tabs.newTabLocation", 'right'); // possible values: 'left', 'right', 'farleft', 'farright'
pref("browser.tabs.doubleClickTabBarToOpen", true);
pref("browser.tabs.doubleClickToClose", true);
pref("browser.tabs.focusAfterRemoval", 'lastSelected'); // possible values: 'left', 'right', 'lastSelected'

// possible values: 'overwrite', 'new'
pref("browser.tabs.newaddress.open", 'overwrite');
pref("browser.tabs.localfile.open", 'new');
pref("browser.tabs.history.open", 'new');
pref("browser.tabs.bookmark.open", 'new');
pref("browser.tabs.linkinpage.open", 'overwrite');
pref("browser.tabs.homepage.open", 'overwrite');
pref("browser.tabs.searchbarresult.open", 'new');
pref("browser.tabs.personaltoolbarbutton.open", 'new');

pref("browser.tabs.showCloseButtonOnTab", true);
pref("browser.tabs.showSiteControlButtonOnTab", true);

// Site Controls prefs
pref("browser.sitecontrols.abouturl", "http://redirect-spui.netscape.com/sitecontrols/aboutsitecontrols.html");
pref("browser.sitecontrols.sort.column", "siteName");
pref("browser.sitecontrols.sort.direction", "ascending");
pref("browser.sitecontrols.prefs", "contenttab");

pref("browser.sitecontrols.notify.switch_to_ie", true);
pref("browser.sitecontrols.notify.enable_activex", true);
pref("browser.sitecontrols.notify.enable_vbscript", true);
pref("browser.sitecontrols.notify.disable_javascript", true);
pref("browser.sitecontrols.notify.disable_cookies", true);

pref("trustsettings.partnerratings", true);
pref("trustsettings.partnerratings.auto", true);
pref("trustsettings.default", "Medium");
pref("trustsettings.showwarnings", true);
pref("trustsettings.update.interval", 8);

// Search
pref("browser.search.providers.url","http://browser-support.netscape.com/config/search/providers.rdf");
pref("browser.search.set_default.dont_ask_again", true);

pref("browser.menu_in_titlebar", true);
pref("browser.show_engine_icon", true);
// MERC END ************************************************************

pref("browser.chromeURL","chrome://browser/content/");
pref("browser.hiddenWindowChromeURL", "chrome://browser/content/hiddenWindow.xul");
pref("xpinstall.dialog.confirm", "chrome://mozapps/content/xpinstall/xpinstallConfirm.xul");
pref("xpinstall.dialog.progress.skin", "chrome://mozapps/content/extensions/extensions.xul?type=themes");
pref("xpinstall.dialog.progress.chrome", "chrome://mozapps/content/extensions/extensions.xul?type=extensions");
pref("xpinstall.dialog.progress.type.skin", "Extension:Manager-themes");
pref("xpinstall.dialog.progress.type.chrome", "Extension:Manager-extensions");

// This is this application's unique identifier used by the Extension System to identify
// this application as an extension target, and by the SmartUpdate system to identify
// this application to the Update server.
pref("app.id", "{3db10fab-e461-4c80-8b97-957ad5f8ea47}");
pref("app.version",
"8.0.1"
);
pref("app.build_id",
"0000000000"
);

// App-specific update preferences
pref("app.update.enabled", true);               // Whether or not app updates are enabled
pref("app.update.autoUpdateEnabled", true);     // Whether or not background app updates
                                                // are enabled
// MERC - JCH: Prefs for updates in options
// advanced dialog
pref("update.autoDownloadUpdates",						true);
pref("update.autoInstallUpdates",						false);
pref("update.notifyOfDownloadedUpdates",				true);
pref("update.notifyOfAvailableUpdates",					true);
pref("update.autoDownloadInstallUpdatesToExtension",	false);


pref("app.update.url", "chrome://mozapps/locale/update/update.properties");
pref("app.update.updatesAvailable", false);
pref("update.app.updateVersion", "");
pref("update.app.updateDescription", "");
pref("update.app.updateURL", "");
pref("app.update.interval", 86400000);          // Check for updates to Firefox every day

//	MERC BILL & JMC SILENT UPDATE OPTIONS
pref("silent.update.interval",3600000);			//	CHECK ONCE/HR FOR SILENT UPDATES
pref("silent.update.lastUpdateDate",0);			//	WHEN WERE SILENT UPDATES LAST UPDATED
pref("silent.update.enabled",true);				//	IS SILENT UPDATE ENABLED?
pref("safetynet.version","0.0.0.0");			//	CURRENTLY INSTALLED BLACKLIST VERSION
												//	YEAR, MONTH, DAY, HOUR "0.0.0.0"

pref("app.update.lastUpdateDate", 0);           // UTC offset when last App update was
                                                // performed.
pref("app.update.performed", false);            // Whether or not an update has been
                                                // performed this session.

pref("app.extensions.version", 
"8.0.1"
);

// Symmetric (can be overridden by individual extensions) update preferences.
// e.g.
//  extensions.{GUID}.update.enabled
//  extensions.{GUID}.update.url
//  extensions.{GUID}.update.interval
//  .. etc ..
//
pref("extensions.update.enabled", true);
pref("extensions.update.autoUpdateEnabled", true);
pref("update.extensions.wsdl", "chrome://mozapps/locale/extensions/extensions.properties");
pref("extensions.update.url", "chrome://mozapps/locale/extensions/extensions.properties");
pref("extensions.update.autoUpdate", false);    // Automatically download and install
                                                // updates to themes and extensions.
                                                // Does nothing at present.
pref("extensions.update.interval", 604800000);  // Check for updates to Extensions and
                                                // Themes every week
pref("extensions.update.lastUpdateDate", 0);    // UTC offset when last Extension/Theme
                                                // update was performed.
// Non-symmetric (not shared by extensions) extension-specific [update] preferences
pref("extensions.getMoreExtensionsURL", "chrome://mozapps/locale/extensions/extensions.properties");
pref("extensions.getMoreThemesURL", "chrome://mozapps/locale/extensions/extensions.properties");
// Automatically download and install updates to themes and extensions.
pref("update.extensions.autoUpdate", false);
// pref("update.interval", 86400000); // Once a day, pop notification
// pref("update.interval", 604800000); // every 7 days
pref("update.lastUpdateDate", 0); // UTC offset when last update was performed.
pref("extensions.update.severity.threshold", 5);// The number of pending Extension/Theme
                                                // updates you can have before the update
                                                // notifier goes from low->medium severity.
pref("extensions.update.count", 0);             // The number of extension/theme/etc
                                                // updates available
pref("extensions.dss.enabled", false);          // Dynamic Skin Switching
pref("extensions.dss.switchPending", false);    // Non-dynamic switch pending after next
                                                // restart.

// General Update preferences
pref("update.interval", 300000);               // Check each of the above intervals
                                                // every 5 mins
pref("update.showSlidingNotification", true);   // Windows-only slide-up taskbar
                                                // notification.
// These prefs relate to the number and severity of updates available. This is a
// cache that the browser notification mechanism uses to determine if it should show
// status bar UI if updates are detected and the app is shut down before installing
// them.
// 0 = low    (extension/theme updates),
// 1 = medium (numerous extension/theme updates),
// 2 = high   (new version of Firefox/Security patch)
pref("update.severity", 0);

pref("xpinstall.whitelist.add", "update.mozilla.org");

pref("keyword.enabled", true);
pref("keyword.URL", "http://search.netscape.com/ns/search?fromPage=NS8BrowserRoll&query="); // http://www.google.com/search?btnI=I%27m+Feeling+Lucky&ie=UTF-8&oe=UTF-8&q=
// JMC - Change this to netscape search
pref("general.skins.selectedSkin", "winscape/1.0");
pref("general.useragent.vendor", "Netscape");
pref("general.useragent.vendorSub",
"8.0.1"
);

pref("general.smoothScroll", false);
pref("general.autoScroll", true);

// Whether or not the application should check at startup each time if it
// is the default browser.
pref("browser.shell.checkDefaultBrowser", true);

// 0 = blank, 1 = home (browser.startup.homepage), 2 = last
// XXXBlake Remove this stupid pref
pref("browser.startup.page",                1);
pref("browser.startup.homepage",	          "resource:/browserconfig.properties");

// These values are deliberately non-localizable for official builds.
pref("browser.startup.homepage_reset",      "resource:/browserconfig.properties");
pref("browser.update.resetHomepage",        false);
// "browser.startup.homepage_override" was for 4.x
pref("browser.startup.homepage_override.1", false);

pref("browser.cache.disk.capacity",         50000);
pref("browser.enable_automatic_image_resizing", true);
pref("browser.urlbar.matchOnlyTyped", false);
pref("browser.chrome.site_icons", true);
pref("browser.chrome.favicons", true);
pref("browser.turbo.enabled", false);
pref("browser.formfill.enable", true);

pref("browser.download.useDownloadDir", true);
pref("browser.download.folderList", 0);
pref("browser.download.manager.showAlertOnComplete", true);
pref("browser.download.manager.showAlertInterval", 2000);
pref("browser.download.manager.retention", 2);
pref("browser.download.manager.showWhenStarting", true);
pref("browser.download.manager.useWindow", true);
pref("browser.download.manager.closeWhenDone", false);
pref("browser.download.manager.openDelay", 0);
pref("browser.download.manager.focusWhenStarting", false);
pref("browser.download.manager.flashCount", 2);

// pointer to the default engine name
pref("browser.search.defaultenginename", "chrome://browser-region/locale/region.properties");
pref("browser.search.opensidebarsearchpanel", false);
pref("browser.search.mode", 0);
pref("browser.search.size", '15em');

// pointer to the Web Search url (content area context menu)
pref("browser.search.defaulturl", "chrome://browser-region/locale/region.properties");
// Ordering of Search Engines in the Engine list.
pref("browser.search.order.1",                "chrome://browser-region/locale/region.properties");
// pref("browser.search.order.2",                "chrome://browser-region/locale/region.properties");

// JMC - we can probably yank these as well
pref("browser.search.param.Google.1.default", "chrome://browser/content/searchconfig.properties");
pref("browser.search.param.Google.1.custom",  "chrome://browser/content/searchconfig.properties");
pref("browser.search.order.Yahoo.1",          "chrome://browser/content/searchconfig.properties");
pref("browser.search.order.Yahoo.2",          "chrome://browser/content/searchconfig.properties");
pref("browser.search.order.Yahoo",            "chrome://browser/content/searchconfig.properties");

// basic search popup constraint: minimum sherlock plugin version displayed
// (note: must be a string representation of a float or it'll default to 0.0)
pref("browser.search.basic.min_ver", "0.0");

pref("browser.history.grouping", "day");
pref("browser.sessionhistory.max_entries", 50);

// Tab browser preferences.
pref("browser.tabs.loadInBackground", false);   // MERC (DP): change default from true
pref("browser.tabs.loadFolderAndReplace", true);
pref("browser.tabs.opentabfor.middleclick", true);
pref("browser.tabs.opentabfor.urlbar", true);
pref("browser.tabs.loadDivertedInBackground", false);
pref("browser.tabs.loadBookmarksInBackground", false);
// XXXben - Hide Single Window mode prefs for 1.0 to avoid crashes (see 266759)
pref("browser.tabs.showSingleWindowModePrefs", false);

// Smart Browsing prefs
pref("browser.related.enabled", true);
pref("browser.related.autoload", 1);  // 0 = Always, 1 = After first use, 2 = Never
pref("browser.related.provider", "http://www-rl.netscape.com/wtgn?");
pref("browser.related.disabledForDomains", "");
pref("browser.goBrowsing.enabled", true);

// Default bookmark sorting
pref("browser.bookmarks.sort.direction", "descending");
pref("browser.bookmarks.sort.resource", "rdf:http://home.netscape.com/NC-rdf#Name");

// Scripts & Windows prefs
pref("dom.disable_open_during_load",              true);
pref("javascript.options.showInConsole",          false);
// Make the status bar reliably present and unaffected by pages
pref("dom.disable_window_open_feature.status",    true);
// This is the pref to control the location bar, change this to true to
// force this instead of or in addition to the status bar - this makes
// the origin of popup windows more obvious to avoid spoofing but we
// cannot do it by default because it affects UE for web applications.
pref("dom.disable_window_open_feature.location",  false);
pref("dom.disable_window_status_change",          false);  //JA deafult: enable changing status bar from script

pref("browser.trim_user_and_password",            true);

// popups.policy 1=allow,2=reject
pref("privacy.popups.policy",               1);
pref("privacy.popups.usecustom",            true);
pref("privacy.popups.firstTime",            true);
pref("privacy.popups.showBrowserMessage",   true);

pref("network.protocols.useSystemDefaults", false); // set to true if user links should use system default handlers
pref("network.proxy.share_proxy_settings",  false); // use the same proxy settings for all protocols
pref("network.cookie.cookieBehavior",       0); // cookies enabled
pref("network.cookie.enableForCurrentSessionOnly", false);
pref("network.cookie.syncToIE",true);		// sync cookies to IE

// l12n and i18n
pref("intl.accept_languages", "chrome://global/locale/intl.properties");
// collationOption is only set on linux for japanese. see bug 18338 and 62015
// we need to check if this pref is still useful.
pref("intl.collationOption",  "chrome://global-platform/locale/intl.properties");
pref("intl.charsetmenu.browser.static", "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.more1",  "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.more2",  "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.more3",  "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.more4",  "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.more5",  "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.unicode",  "chrome://global/locale/intl.properties");
pref("intl.charset.detector", "chrome://global/locale/intl.properties");
pref("intl.charset.default",  "chrome://global-platform/locale/intl.properties");
pref("font.language.group", "chrome://global/locale/intl.properties");
pref("intl.menuitems.alwaysappendaccesskeys","chrome://global/locale/intl.properties");

// 0=lines, 1=pages, 2=history , 3=text size
pref("mousewheel.withcontrolkey.action",3);
pref("mousewheel.withshiftkey.action",2);
pref("mousewheel.withaltkey.action",0);

pref("profile.allow_automigration", false);   // setting to false bypasses automigration in the profile code

// Customizable toolbar stuff
pref("custtoolbar.personal_toolbar_folder", "");
pref("browser.throbber.url","chrome://browser-region/locale/region.properties");
pref("custoolbar.restoredefault.suppressdialog", false);

// pref to control the alert notification
pref("alerts.slideIncrement", 1);
pref("alerts.slideIncrementTime", 10);
pref("alerts.totalOpenTime", 4000);
pref("alerts.height", 50);

// update notifications prefs
pref("update_notifications.enabled", true);
pref("update_notifications.provider.0.frequency", 7); // number of days
pref("update_notifications.provider.0.datasource", "chrome://browser-region/locale/region.properties");

pref("browser.xul.error_pages.enabled", false);

pref("signon.rememberSignons",              true);
pref("signon.expireMasterPassword",         false);
pref("signon.SignonFileName", "c0g1n3n5.r7u");		// MERC JVL Countersign in l33t speak then placed in order... C0un73r51gn

//The following is for testing new datacard manager
pref("signon.datacardSets", "datacardsets.sst");		// 

// We want to make sure mail URLs are handled externally...
pref("network.protocol-handler.external.mailto", true); // for mail
pref("network.protocol-handler.external.news", true);   // for news
pref("network.protocol-handler.external.snews", true);  // for secure news
pref("network.protocol-handler.external.nntp", true);   // also news
// ...without warning dialogs
pref("network.protocol-handler.warn-external.mailto", false);
pref("network.protocol-handler.warn-external.news", false);
pref("network.protocol-handler.warn-external.snews", false);
pref("network.protocol-handler.warn-external.nntp", false);

// By default, all protocol handlers are exposed.  This means that
// the browser will respond to openURL commands for all URL types.
// It will also try to open link clicks inside the browser before
// failing over to the system handlers.
pref("network.protocol-handler.expose-all", true);
pref("network.protocol-handler.expose.mailto", false);
pref("network.protocol-handler.expose.news", false);
pref("network.protocol-handler.expose.snews", false);
pref("network.protocol-handler.expose.nntp", false);

// Default security warning dialogs to show once.
pref("security.warn_entering_secure.show_once", true);
pref("security.warn_entering_weak.show_once", true);
pref("security.warn_leaving_secure.show_once", true);
pref("security.warn_viewing_mixed.show_once", true);
pref("security.warn_submit_insecure.show_once", true);

pref("browser.urlbar.clickSelectsAll", true);

// FormFill (Datacards) and Passcard prefs
pref("browser.preferences.formfillORpasscard","formfilltab");
pref("formfill.user.prompt", false);									// Prompt to fill saved Datacards (Default on) IN PROGRESS
pref("formfill.user.reset",false);										// Used by Credit card, forgot password (ccard.js)
pref("formfill.user.firsttime", true); 								// Used by Browser.js to control the naggy xul
pref("formfill.user.skipfirsttime", true); 						// Used by Browser.js to control the naggy xul
pref("formfill.color", true); 												// Highlight fillable form fields (Default on)

pref("formfill.automatically.fill_datacards", false);	// Automatically fill saved Datacards
pref("formfill.automatically.save_form_data", false); // Automatically save form data 						NOT IMPLMENTED
pref("formfill.user.prompt.save_form_data", true); 		// Prompt to save form data (Default on) 		NOT IMPLMENTED
pref("formfill.user.prompt.update_data", true); 			// Prompt me to update data (Default on)		NOT IMPLMENTED

pref("passcard.preferences.tab", "passcards-tab");
pref("passcard.details.tab", "details-tab");

pref("passcard.preferences.behavior.autologin", true);
pref("passcard.preferences.behavior.autosave", true);
pref("passcard.preferences.behavior.highlight", true);
pref("passcard.preferences.behavior.fillAndSubmit", true);
pref("passcard.preferences.behavior.defaultPrompt", true);
pref("passcard.preferences.protection.protect", false);
pref("passcard.preferences.protection.prompt", false);
pref("passcard.preferences.protection.expire", 120);

//pref("datacard.autosave", true);
//pref("datacard.autosave.prompt", true);
pref("datacard.autosave", 0);
pref("datacard.highlight", true);
pref("datacard.fillandsubmit", false);
pref("datacard.passwordprotect", false);
pref("datacard.passwordprotect.prompt", false);
pref("datacard.messagebar.enable", true);

pref("autofill.ruleset", "fieldMatchingRules.txt");

pref("masterpassword.timeout.init", true);

//seems must be set as user profs
/* 0 is for BUCP(AIM), 1 is for TIH, 2 is for ICQ, 3 is for autosignon */
pref("aim.session.sessiontype", 0);

pref("aim.session.firsttry", false);
pref("aim.session.firsthost", "americaonline.aol.com");
pref("aim.session.firstport", 5200);

/* Set to ICQ to be default to ICQ */
pref("aim.session.userconnectionname", "AIM");

/* Proxy prefs for session */
pref("aim.proxy.use", false);
pref("aim.proxy.host", "");
pref("aim.proxy.port", 1080);
pref("aim.proxy.username", "");
pref("aim.proxy.password", "");
pref("aim.proxy.protocol", 1);
 

/* session pref defaults */
pref("aim.session.screenname","");
pref("aim.session.password","");
pref("aim.session.storepassword",false);
pref("aim.session.autologin",true);

/* last successfully signed on screenname of type */
pref("aim.session.latesticqscreenname","");
pref("aim.session.latestaimscreenname","");



/* gen global*/
pref("aim.session.firsttime",true);
pref("aim.session.appfirstlogin",true);
pref("aim.session.finishedwizard", false);

/* perSN*/
pref("aim.session.firstsignon",true);
pref("aim.session.autoreconnect", false);
pref("aim.session.reconnectdialog", false);
pref("aim.session.keepalive", false);



/* Mail integration per SN*/
pref("aim.mail.presence", true);
pref("aim.general.im.smilies", true);
pref("aim.general.im.enterCR", false);
pref("aim.general.im.tabKey", false);
pref("aim.general.im.timeStamp", false);

pref("aim.general.im.showtooltip", "false");
pref("aim.general.contactlist.displaymode", "false");
pref("aim.general.im.statusMode", "false");
pref("aim.general.contactlist.displaymode", "false");


/* no use, consider as gen global*/
pref("aim.im.flashonreceiveim", true);
pref("aim.im.showaccept",false);

/* gen global */
pref("aim.internal.buddy.MaxBuddies",100);


/* gen global */
pref("aim.buddy.TransitionTime",10);


pref("aim.buddy.SndPlaySignOn",true);
pref("aim.buddy.SndPlaySignOff",true);
pref("aim.buddy.SndPlaySignOn_ICQ",true);
/* XXXIMPL Put real sound path in here for the defaults */
pref("aim.buddy.SndSignOn","chrome://aim/skin/sounds/BuddySignon");
pref("aim.buddy.SndSignOn_ICQ","chrome://aim/skin/sounds/BuddySignon_ICQ");
/* XXXIMPL Put real sound path in here for the defaults */
pref("aim.buddy.SndSignOff","chrome://aim/skin/sounds/BuddySignoff");
pref("aim.buddy.SndBuddyOverride",false);
pref("aim.buddy.SndBuddyOverride_ICQ",false);
/* IM pref defaults */
pref("aim.im.playall", true);
pref("icq.im.playall", true);
pref("aim.buddy.SndPlayFirstIncoming",true);
pref("aim.buddy.SndPlayIncoming",true);
pref("aim.buddy.SndPlayOutgoing",true);
pref("aim.buddy.SndPlayFirstIncoming_ICQ",true);
pref("aim.buddy.SndPlayIncoming_ICQ",true);
pref("aim.buddy.SndPlayOutgoing_ICQ",true);
/* XXXIMPL Put real sound path in here for the defaults */
pref("aim.buddy.SndFirstIncoming","chrome://aim/skin/sounds/FirstIncomingIM");
pref("aim.buddy.SndIncoming","chrome://aim/skin/sounds/IncomingIM");
pref("aim.buddy.SndOutgoing","chrome://aim/skin/sounds/OutgoingIM");
pref("aim.buddy.SndFirstIncoming_ICQ","chrome://aim/skin/sounds/FirstIncoming_ICQ");
pref("aim.buddy.SndIncoming_ICQ","chrome://aim/skin/sounds/Incoming_ICQ");
pref("aim.buddy.SndOutgoing_ICQ","chrome://aim/skin/sounds/Outgoing_ICQ");
pref("aim.internal.exthost",            "login.oscar.aol.com");
/* Privacy Pref Defaults */
/* no use, consider as gen global*/
pref("aim.privacy.view",3);
pref("aim.privacy.ChatBlockInvitations",false);
pref("aim.away.hidewindow", false);
pref("aim.away.idlereply", false);
pref("aim.away.disablereply", true);


/* perSN*/
pref("aim.privacy.knockknock",true);


/* perSN, (just for ICQ)*/
pref("aim.privacy.authorization",true);
pref("aim.privacy.onlinestatus",true);

/* perSN*/
pref("aim.away.autoreply", true);
pref("icq.away.autoreply", false);

/* no use, consider as gen global*/
pref("aim.throbber.url","chrome://aim-region/locale/region.properties");


/*AIM new added, perSN*/
pref("aim.general.today.aim", true);
pref("aim.general.today.icq", false);
/* Chat Pref Defaults pre SN, just AIM */
pref("aim.chat.SndPlayIncoming",true);
pref("aim.chat.SndPlayOutgoing",true);
/* IMPL Put real sound path in here for the defaults */
pref("aim.chat.SndIncoming","chrome://aim/skin/sounds/IncomingChat");
/* IMPL Put real sound path in here for the defaults */
pref("aim.chat.SndOutgoing","chrome://aim/skin/sounds/OutgoingChat");
pref("aim.chat.unavailable", false);
pref("aim.chat.FlashChatWin", true);
pref("aim.chat.AnnounceChatRoom", true);
/*Buddy Icons */
pref("aim.buddyicon.acceptfromBuddyList", true);
pref("aim.buddyicon.showknockknock", true);
pref("aim.buddyicon.neveraccept", false);

/*Buddy Icons */
pref("aim.buddyicon.displayBuddyIcons", 0); //0 - buddy list, 1 - never accept, 2 - never display BI.

/*new*/
/* per SN*/
pref("aim.session.connectionname", "AIM");

/* gen global*/
pref("aim.internal.extsessiontype",   0);
pref("aim.internal.extname",            "AIM");
pref("aim.internal.exthost",          "login.oscar.aol.com");
pref("aim.internal.extport",            5190);
pref("aim.internal.extproxyhost",     "");
pref("aim.internal.extproxyport",       1080);
pref("aim.internal.extproxyuser",     "");
pref("aim.internal.extproxypassword", "");
pref("aim.internal.extproxyprotocol", 0);
pref("aim.internal.extisproxy",       false);
pref("aim.internal.extconnectiontype", 0);
pref("aim.internal.intsessiontype",   0);
pref("aim.internal.intname",          "AIM");
pref("aim.internal.inthost",          "login.oscar.aol.com");
pref("aim.internal.intport",          5190);
pref("aim.internal.intproxyhost",     "");
pref("aim.internal.intproxyport",     1080);
pref("aim.internal.intproxyuser",     "");
pref("aim.internal.intproxypassword", "");
pref("aim.internal.intproxyprotocol", 0);
pref("aim.internal.intisproxy",       false);
pref("aim.internal.intconnectiontype", 0);

/* 0 for just aim, 1 for just aol and 10 for both*/
pref("aim.proxy.port",                  1080);
pref("aim.proxy.protocol",              1);
pref("aim.proxy.use",                   false);
pref("aim.session.appfirstlogin",       true);
pref("aim.session.autologin",           true);
pref("aim.session.connectiontype.aim", 0);
pref("aim.session.connectiontype.icq", 2);
pref("aim.session.firsthost",           "americaonline.aol.com");
pref("aim.session.firstport",           5200);
pref("aim.session.hideconnection", false);
pref("aim.session.host.aim",            "login.oscar.aol.com");
pref("aim.session.host.aim","login.oscar.aol.com");
pref("aim.session.host.icq",            "login.icq.com");
pref("aim.session.isproxy.aim",       false);
pref("aim.session.isproxy.icq",       false);
pref("aim.session.listonly",       false);
pref("aim.session.port.aim",            5190);
pref("aim.session.port.icq",            5190);
pref("aim.session.proxyhost.aim",     "");
pref("aim.session.proxyhost.icq",     "");
pref("aim.session.proxypassword.aim", "");
pref("aim.session.proxypassword.icq", "");
pref("aim.session.proxyport.aim",       1080);
pref("aim.session.proxyport.icq",       1080);
pref("aim.session.proxyprotocol.aim",   1);
pref("aim.session.proxyprotocol.icq",   1);
pref("aim.session.proxyuser.aim",     "");
pref("aim.session.proxyuser.icq",     "");
pref("aim.session.searchDirectory",     "moz-abmdbdirectory://abook.mab");
pref("aim.session.sessiontype",         0);
pref("aim.session.sn.aim", "Choose Screen Name");
pref("aim.session.sn.icq", "Choose Screen Name");
pref("aim.session.testingregistrationwizard", true);
/* aim button on personal toolbar glue */
pref("browser.toolbars.showbutton.AimPT", false);


/*autosignon to sns */
pref("aim.general.snsautosignon", false);

/* Buddy list view. 0 - ScreenName 1-Display NAme, 2 - Email Address */
pref("aim.session.buddyview", 0);

/* Support Mail-IM integration work based on a pref. If we decide later not to support this */
/* feature for Buffy, switch to false */

pref("aim.session.supportmailim", true);

/* Search directory for email address and display names - default is personal address book*/
pref("aim.session.searchDirectory", "moz-abmdbdirectory://abook.mab");

/* pref to enable preakness in Icq session */
pref("aim.session.icqpreakness", false);
 
//pref("browser.new_registration.sns_production_url", "http://my.screenname.aol.com/direct/");
pref("browser.new_registration.sns_production_url", "chrome://browser-region/locale/region.properties");
//pref("browser.new_registration.terms_url", "http://home.netscape.com/privacy/activation.html");
pref("browser.new_registration.terms_url", "chrome://browser-region/locale/region.properties");
pref("browser.new_registration.webmail_production_url","chrome://browser-region/locale/region.properties");
//pref("aim.throbber.url",                "http://home.netscape.com/bookmark/7_2/tnetscape.html");
pref("browser.new_registration.learn_about_NN_url", "chrome://browser-region/locale/region.properties");
pref("browser.registration.domain", "chrome://browser-region/locale/region.properties");
pref("browser.registration.enable", true);
pref("browser.registration.url", "chrome://browser-region/locale/region.properties");
pref("browser.webmailcookie.domain", "chrome://browser-region/locale/region.properties");
pref("default_redirector_type.imap.mail.aol.com",       "aol");

pref("accessibility.typeaheadfind", false);
pref("accessibility.typeaheadfind.timeout", 5000);
pref("accessibility.typeaheadfind.linksonly", false);
pref("accessibility.typeaheadfind.flashBar", 1);

// Disable the default plugin for firefox
pref("plugin.default_plugin_disabled", true);

// plugin finder service
pref("pfs.datasource.url", "chrome://mozapps/locale/plugins/plugins.properties");


pref("capability.policy.policynames", "spui");

pref("capability.policy.spui.sites", "http://spui.dev.dublin.mercurial.ca http://spui-qa2.netscape.com http://browser-support.netscape.com http://component-feeds-qa1.netscape.com http://spui.netscape.com http://browser-support.netscape.com http://component-feeds.netscape.com http://spui.nscpcdn.com http://localhost");

pref("capability.policy.spui.DOMParser.parseFromString", "allAccess");
pref("capability.policy.spui.XMLDocument", "allAccess");
pref("capability.policy.spui.XMLDocument.getElementsByTagName", "allAccess");
pref("capability.policy.spui.XMLDocument.getElementsByTagNameNS", "allAccess");
pref("capability.policy.spui.XMLDocument.createElement", "allAccess");
pref("capability.policy.spui.XMLDocument.baseURI", "allAccess");
pref("capability.policy.spui.HTMLCollection.length", "allAccess");
pref("capability.policy.spui.HTMLCollection.item", "allAccess");
pref("capability.policy.spui.Element.getAttribute", "allAccess");
pref("capability.policy.spui.Element.firstChild", "allAccess");
pref("capability.policy.spui.Element.nodeValue", "allAccess");
pref("capability.policy.spui.Element.getElementsByTagName", "allAccess");
pref("capability.policy.spui.Element.getElementsByTagNameNS", "allAccess");
pref("capability.policy.spui.Text.nodeValue", "allAccess");
pref("capability.policy.spui.CDATASection.nodeValue", "allAccess");
pref("capability.policy.spui.HTMLImageElement.src", "allAccess");



// Extra line feeds

